<?php

/**
 * Test: NSimpleRouter with secured connection.
 *
 * @author     David Grudl
 * @package    Nette\Application
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/SimpleRouter.inc';



$router = new NSimpleRouter(array(
	'id' => 12,
	'any' => 'anyvalue',
), NSimpleRouter::SECURED);

$httpRequest = new MockHttpRequest;
$httpRequest->setQuery(array(
	'presenter' => 'myPresenter',
));

$req = new NPresenterRequest(
	'othermodule:presenter',
	NHttpRequest::GET,
	array()
);

$url = $router->constructUrl($req, $httpRequest);
Assert::same( 'https://nette.org/file.php?presenter=othermodule%3Apresenter',  $url );
